# Coriolis Core (CRLCore) Documentation

# Coriolis Core (CRL) Documentation

Public Member Functions | List of all members
CRL::AllianceLibrary Class Reference

A small wrapper around Hurricane::Library. More...

## Public Member Functions

| AllianceLibrary ()
| AllianceLibrary (const Name &path, Library *library=NULL)
const Name & | getPath () const
Library * | getLibrary () const

## Detailed Description

A small wrapper around Hurricane::Library.

The AllianceLibrary simply adds the path from which the Hurricane::Library has been loaded.

## Constructor & Destructor Documentation

## ◆ AllianceLibrary() [1/2]

CRL::AllianceLibrary::AllianceLibrary | ( |  | ) |

A new, empty, AllianceLibrary.

## ◆ AllianceLibrary() [2/2]

CRL::AllianceLibrary::AllianceLibrary | ( | const Name & | path,
|  | Library * | library = `NULL`
| ) |  |

A new AllianceLibrary, with `path` positionned and possibly `library`.

## Member Function Documentation

## ◆ getPath()

const Name & CRL::AllianceLibrary::getPath | ( |  | ) | const

inline

Returns
  the associated path.

## ◆ getLibrary()

Hurricane::Library * CRL::AllianceLibrary::getLibrary | ( |  | ) | const

inline

Returns
  the associated library.

The documentation for this class was generated from the following files:

- AllianceLibrary.h
- AllianceLibrary.dox